package JavaBasics;

/***********************************************************
 * Calculates roots of quadratic equation  x + ax + b = 0
 * 
 * usage:
 * 		java Quadratic  <number-a> <number-b>
 * 
 * revisions:
 * 		2007-10-25 (jpr)
 **********************************************************/


public class Quadratic {
	public static void main(String[] args) {
		
		// parse coefficients from command-line
	    double b = Double.parseDouble(args[0]);
	    double c = Double.parseDouble(args[1]);

	    // calculate roots
	    double discriminant = b*b - 4.0*c;
	    double d = Math.sqrt(discriminant);
	    double root1 = (-b + d) / 2.0;
	    double root2 = (-b - d) / 2.0;

	    // print them out
	    System.out.println(root1);
	    System.out.println(root2);
	}
}
