package JavaBasicsII;
import pi1.*;

public class BouncingBall {
	public static void main(String[] args) {
		double rx = .480, ry = .860;
		double vx = .015, vy = .023;
		double radius = .05;

		StdDraw.setXscale(-1.0, +1.0);
		StdDraw.setYscale(-1.0, +1.0); 

		while(true) {
			if (Math.abs(rx + vx) > 1.0) vx = -vx;
			if (Math.abs(ry + vy) > 1.0) vy = -vy;
	         
			rx = rx + vx;
			ry = ry + vy;
	         
			StdDraw.clear(StdDraw.WHITE);
			StdDraw.setPenColor(StdDraw.BLACK);
			StdDraw.filledCircle(rx, ry, radius);
			StdDraw.show(50);
		}
	}
}

