package JavaBasicsII;
import pi1.*;

public class DeluxeBouncingBall { 
    public static void main(String[] args) {
    	String filePath = "src/JavaBasicsII/DeluxeBouncingBall-";
        double rx = 0.480, ry = 0.860;     // position
        double vx = 0.015, vy = 0.023;     // velocity

        // between -1 and +1, remove the StdDraw 5% border
        StdDraw.setXscale(-1.0, 1.0);
        StdDraw.setYscale(-1.0, 1.0);
        StdDraw.clear(StdDraw.WHITE); 

        // main animation loop
        while (true)  { 
            if (Math.abs(rx + vx) > 1.0) { vx = -vx; StdAudio.play(filePath + "laser.wav"); }
            if (Math.abs(ry + vy) > 1.0) { vy = -vy; StdAudio.play(filePath + "pop.wav");   }
            rx = rx + vx; 
            ry = ry + vy; 
            StdDraw.clear(StdDraw.WHITE); 
            StdDraw.picture(rx, ry, filePath + "earth.gif");
            StdDraw.show(20); 
        } 
    } 
} 

