package JavaBasicsII.Recursion;

/*************************************************************************
 *  
 *  Reads two commandline parameters p and q and computes the greatest
 *  common divisor of p and q using Euclid's algorithm.
 *  
 *  Usage
 *  	java Euklid p q
 *
 *************************************************************************/

public class Euclid {
    public static int gcd(int p, int q) {
        if (q == 0) return p;
        else return gcd(q, p % q);
    }

    public static void main(String[] args) {
        int p = Integer.parseInt(args[0]);
        int q = Integer.parseInt(args[1]);
        int d = gcd(p, q);
        System.out.println("gcd(" + p + ", " + q + ") = " + d);
    }
}