package JavaBasics;

/*******************************************
 * Compute square root of a real number c
 *  
 * usage:
 * 		java Sqrt  <c>
 * 
 * revisions:
 * 		2007-10-25 (jpr)
 *******************************************/

public class Sqrt {
	public static void main(String[] args) {
		double EPS = 1E-15;
		double c = Double.parseDouble(args[0]);

		double t = c;
	    while (Math.abs(t*t - c) > EPS) {
	         t = (c/t + t) / 2.0;
	    }
	    System.out.println(t);
	}
}