package JavaBasicsII;

/*
 * Birthday problem.
 * 
 * People enter an empty room until two share a birthday.
 * How long will it take on average?
 * 
 * Assume birthdays are uniform random integers between 0 and N-1 (N=365).
 */
public class Birthday {
	public static void main(String[] args) {
		int N = 365;  					// 365 days in a year
		boolean[] days = new boolean[N];	// days[d] = true if day d filled, false otherwise.	
		int count = 0;					// number of people in the room

		while (true) {
			count++;
			int d = (int) (N * Math.random());
			if (days[d]) break;
			days[d] = true;
		}
		System.out.println(count);
	}
}

